### Method

# Foundry FileSearchOptions dup_search_text

since: 1.1

#### Declaration [src]

    char*
    foundry_file_search_options_dup_search_text (
      FoundryFileSearchOptions* self
    )

#### Description [src]

Gets a copy of the search text.

Available since: 1.1

#### Return value

Type: `char*`

A newly allocated copy of the search text, or `NULL` if not set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.